<template>
  <div class="posts">
    <Post v-for="post in allPosts" :key="post.id" :post="post" />

    <button class="update-btn" @click="updatePosts">Update Posts</button>
  </div>
</template>

<script>
import Post from '@/components/Post';

export default {
  components: {
    Post,
  },
  computed: {
    allPosts() {
      return this.$store.getters.getAllPosts;
    },
  },
  methods: {
    updatePosts() {
      this.$store.dispatch('updatePosts');
    },
  },
};
</script>

<style>
.update-btn {
  background-color: #fafafa;
  padding: 5px 10px;
  border-radius: 5px;
  border: 2px solid grey;
  font-size: 1.2rem;
}

.update-btn:hover {
  cursor: pointer;
  background-color: #e1e1e1;
}
</style>
